List
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.SSFReceiverEvent.List(ctx, operations.C1APISSFReceiverV1SSFReceiverEventServiceListRequest{
StreamID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.SSFReceiverEventServiceListResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.ssfReceiverEvent.list({
streamId: "<id>",
});
console.log(result);
}
run();curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/ssf-receiver-streams/{stream_id}/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/ssf-receiver-streams/{stream_id}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/ssf-receiver-streams/{stream_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"id": "<string>",
"matchedUserId": "<string>",
"outcomeDetail": "<string>",
"receivedAt": "2023-11-07T05:31:56Z",
"sessionsRevoked": 123,
"setJti": "<string>",
"streamId": "<string>",
"wireEventProfile": "<string>",
"wireEventType": "<string>",
"wireInitiatingEntity": "<string>",
"wireReasonAdmin": "<string>",
"wireSubjectFormat": "<string>",
"wireSubjectIdentifier": "<string>"
}
],
"nextPageToken": "<string>"
}SSF Receiver
List
List returns a paginated list of events received on a specific SSF receiver stream, ordered by receipt time.
GET
/
api
/
v1
/
ssf-receiver-streams
/
{stream_id}
/
events
List
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.SSFReceiverEvent.List(ctx, operations.C1APISSFReceiverV1SSFReceiverEventServiceListRequest{
StreamID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.SSFReceiverEventServiceListResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.ssfReceiverEvent.list({
streamId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The ID of the SSF receiver stream to list events for.
Query Parameters
Maximum number of events to return per page.
Token from a previous ListResponse to fetch the next page of results.
Response
200 - application/json
SSFReceiverEventServiceListResponse contains a page of received SSF events.
Was this page helpful?
⌘I